Skip to main content

List Dubbing Projects

GET 

https://api.knoxstudio.ai/v1/dubbing/project

List projects you can access. Not billed.

Request​

Query Parameters​

NameTypeRequiredDescription
statusStringNoOne of queued, preparing, processing, ready, failed.
sort_directionStringNoASCENDING or DESCENDING.
page_sizeIntegerNoForwarded upstream. Documented default 20, max 100.
cursorStringNoPagination cursor; forwarded upstream.

Request Headers​

NameTypeRequiredDescription
AuthorizationStringYesBearer <token> Knox API key. xi-api-key is also accepted.

cURL Example​

curl -X GET "https://api.knoxstudio.ai/v1/dubbing/project?status=ready&sort_direction=DESCENDING" \
-H "Authorization: Bearer $KNOXCHAT_API_KEY"

Response​

Success Response (200)​

JSON list of projects (project_id, status, model_id, media metadata).

Error Responses​

Validation uses HTTP 422:

{
"detail": [
{
"loc": ["body", "field"],
"msg": "…",
"type": "value_error"
}
]
}

Other errors use { "detail": "message" }.

StatusWhen
400WebSocket path called without Upgrade: websocket.
401Missing or invalid API key.
402Insufficient credits.
403Token is not allowed to use this model.
404Resource not found.
422Validation error.
429Rate limit exceeded.
500Internal server error.